slurm-pmi-devel-18.08.8-2.fc29.i686.rpm


Advertisement

Description

slurm-pmi-devel - Development files for slurm-pmi

Property Value
Distribution Fedora 29
Repository Fedora Updates i386
Package filename slurm-pmi-devel-18.08.8-2.fc29.i686.rpm
Package name slurm-pmi-devel
Package version 18.08.8
Package release 2.fc29
Package architecture i686
Package type rpm
Homepage https://slurm.schedmd.com/
License GPLv2 and BSD
Maintainer -
Download size 23.65 KB
Installed size 51.19 KB
The slurm-pmi-devel package contains the development files for
the libpmi and libpmi2 libraries.

Alternatives

Package Version Architecture Repository
slurm-pmi-devel-18.08.8-2.fc29.x86_64.rpm 18.08.8 x86_64 Fedora Updates
slurm-pmi-devel-18.08.8-2.fc29.i686.rpm 18.08.8 i686 Fedora Updates
slurm-pmi-devel - - -

Requires

Name Value
libpmi.so.0 -
libpmi2.so.0 -
slurm-pmi(x86-32) = 18.08.8-2.fc29

Provides

Name Value
slurm-pmi-devel = 18.08.8-2.fc29
slurm-pmi-devel(x86-32) = 18.08.8-2.fc29

Conflicts

Name Value
pmix-pmi-devel -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package slurm-pmi-devel-18.08.8-2.fc29.i686.rpm
Source Package slurm-18.08.8-2.fc29.src.rpm

Install Howto

Install slurm-pmi-devel rpm package:

# dnf install slurm-pmi-devel

Files

Path
/usr/include/slurm/pmi.h
/usr/include/slurm/pmi2.h
/usr/lib/libpmi.so
/usr/lib/libpmi2.so

Changelog

2019-07-21 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.8-2
- Create slurm-pmi and slurm-pmi-devel subpackages for pmi/pmi2 libs
- Remove rpm-generated pkgconfig files until upstream provides them
- Do not pull dependencies with pkgconfig unless package uses it
2019-07-15 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.8-1
- Release of 18.08.8
- Closes security issue (CVE-2019-12838)
- Configure for UCX support on supported arches
2019-07-02 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.7-3
- Do not install slurm implementation of libpmi/pmi2 libraries
- in favor of the faster implementation provided by pmix
- Remove pmi environment module formerly used to select the slurm
- vs pmix implementations of libpmi/pmi2
2019-06-19 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.7-2
- Correct the configure for pmix
- Correct the slurm_pmix_soname patch
- Use make_build macro instead of make
- Use autotools commands instead of rpm macros
2019-04-12 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.7-1
- Release of 18.08.7
2019-03-16 - Orion Poplawski <orion@nwra.com> - 18.08.6-2
- Rebuild for hdf5 1.10.5
2019-03-07 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.6-1
- Release of 18.08.6
2019-02-17 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 18.08.5-2
- Rebuild for readline 8.0
2019-01-31 - Philip Kovacs <pkdevel@yahoo.com> - 18.08.5-1
- Release of 18.08.5
2019-01-31 - Philip Kovacs <pkdevel@yahoo.com> - 17.11.13-2
- Fix build issue on 32-bit architectures

See Also

Package Description
slurm-rrdtool-18.08.8-2.fc29.i686.rpm Slurm rrdtool external sensor plugin
slurm-slurmctld-18.08.8-2.fc29.i686.rpm Slurm controller daemon
slurm-slurmd-18.08.8-2.fc29.i686.rpm Slurm compute node daemon
slurm-slurmdbd-18.08.8-2.fc29.i686.rpm Slurm database daemon
slurm-torque-18.08.8-2.fc29.i686.rpm Torque/PBS wrappers for transition from Torque/PBS to Slurm
smartmontools-7.0-5.fc29.i686.rpm Tools for monitoring SMART capable hard disks
smcalc-1.0.1-2.fc29.i686.rpm Matrix Calculator
snap-confine-2.42.1-1.fc29.i686.rpm Confinement system for snap applications
snapd-2.42.1-1.fc29.i686.rpm A transactional software package manager
snapd-devel-2.42.1-1.fc29.noarch.rpm Development files for snapd
snapd-glib-1.49-1.fc29.i686.rpm Library providing a GLib interface to snapd
snapd-glib-devel-1.49-1.fc29.i686.rpm Development files for snapd-glib
snapd-qt-1.49-1.fc29.i686.rpm Library providing a Qt5 interface to snapd
snapd-qt-devel-1.49-1.fc29.i686.rpm Development files for snapd-qt
snapd-qt-qml-1.49-1.fc29.i686.rpm Library providing a Qt5 QML interface to snapd
Advertisement
Advertisement